# GstJpegBitWriter

## Functions

### gst_jpeg_bit_writer_frame_header

    GstJpegBitWriterResult
    gst_jpeg_bit_writer_frame_header (const GstJpegFrameHdr * frame_hdr,
                                      GstJpegMarker marker,
                                      guint8 * data,
                                      guint * size)

Generating the according JPEG bit stream by providing the frame header.

Parameters:

`frame_hdr` –

the frame header of GstJpegFrameHdr to write

`marker` –

the GstJpegMarker id for this segment

`data` ( [out]) –

the bit stream generated by this frame header

`size` ( [inout]) –

the size in bytes of the input and output

Returns –

a GstJpegBitWriterResult

Since : 1.26

### GstCodecParsers.prototype.jpeg_bit_writer_frame_header

    function GstCodecParsers.prototype.jpeg_bit_writer_frame_header(frame_hdr: GstCodecParsers.JpegFrameHdr, marker: GstCodecParsers.JpegMarker, size: Number): {
        // javascript wrapper for 'gst_jpeg_bit_writer_frame_header'
    }

Generating the according JPEG bit stream by providing the frame header.

Parameters:

`frame_hdr` (GstCodecParsers.JpegFrameHdr) –

the frame header of GstCodecParsers.JpegFrameHdr to write

`marker` (GstCodecParsers.JpegMarker) –

the GstCodecParsers.JpegMarker id for this segment

`size` (Number) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (Number ) –

a GstCodecParsers.JpegBitWriterResult

`size` (Number ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### GstCodecParsers.jpeg_bit_writer_frame_header

    def GstCodecParsers.jpeg_bit_writer_frame_header (frame_hdr, marker, size):
        #python wrapper for 'gst_jpeg_bit_writer_frame_header'

Generating the according JPEG bit stream by providing the frame header.

Parameters:

`frame_hdr` (GstCodecParsers.JpegFrameHdr) –

the frame header of GstCodecParsers.JpegFrameHdr to write

`marker` (GstCodecParsers.JpegMarker) –

the GstCodecParsers.JpegMarker id for this segment

`size` (int) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (int ) –

a GstCodecParsers.JpegBitWriterResult

`size` (int ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### gst_jpeg_bit_writer_huffman_table

    GstJpegBitWriterResult
    gst_jpeg_bit_writer_huffman_table (const GstJpegHuffmanTables * huff_tables,
                                       guint8 * data,
                                       guint * size)

Generating the according JPEG bit stream by providing the huffman tables.

Parameters:

`huff_tables` –

the huffman tables of GstJpegHuffmanTables to write

`data` ( [out]) –

the bit stream generated by the huffman tables

`size` ( [inout]) –

the size in bytes of the input and output

Returns –

a GstJpegBitWriterResult

Since : 1.26

### GstCodecParsers.prototype.jpeg_bit_writer_huffman_table

    function GstCodecParsers.prototype.jpeg_bit_writer_huffman_table(huff_tables: GstCodecParsers.JpegHuffmanTables, size: Number): {
        // javascript wrapper for 'gst_jpeg_bit_writer_huffman_table'
    }

Generating the according JPEG bit stream by providing the huffman tables.

Parameters:

`huff_tables` (GstCodecParsers.JpegHuffmanTables) –

the huffman tables of GstCodecParsers.JpegHuffmanTables to write

`size` (Number) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (Number ) –

a GstCodecParsers.JpegBitWriterResult

`size` (Number ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### GstCodecParsers.jpeg_bit_writer_huffman_table

    def GstCodecParsers.jpeg_bit_writer_huffman_table (huff_tables, size):
        #python wrapper for 'gst_jpeg_bit_writer_huffman_table'

Generating the according JPEG bit stream by providing the huffman tables.

Parameters:

`huff_tables` (GstCodecParsers.JpegHuffmanTables) –

the huffman tables of GstCodecParsers.JpegHuffmanTables to write

`size` (int) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (int ) –

a GstCodecParsers.JpegBitWriterResult

`size` (int ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### gst_jpeg_bit_writer_quantization_table

    GstJpegBitWriterResult
    gst_jpeg_bit_writer_quantization_table (const GstJpegQuantTables * quant_tables,
                                            guint8 * data,
                                            guint * size)

Generating the according JPEG bit stream by providing the quantization tables.

Parameters:

`quant_tables` –

the quantization tables of GstJpegQuantTables to write

`data` ( [out]) –

the bit stream generated by the quantization tables

`size` ( [inout]) –

the size in bytes of the input and output

Returns –

a GstJpegBitWriterResult

Since : 1.26

### GstCodecParsers.prototype.jpeg_bit_writer_quantization_table

    function GstCodecParsers.prototype.jpeg_bit_writer_quantization_table(quant_tables: GstCodecParsers.JpegQuantTables, size: Number): {
        // javascript wrapper for 'gst_jpeg_bit_writer_quantization_table'
    }

Generating the according JPEG bit stream by providing the quantization tables.

Parameters:

`quant_tables` (GstCodecParsers.JpegQuantTables) –

the quantization tables of GstCodecParsers.JpegQuantTables to write

`size` (Number) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (Number ) –

a GstCodecParsers.JpegBitWriterResult

`size` (Number ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### GstCodecParsers.jpeg_bit_writer_quantization_table

    def GstCodecParsers.jpeg_bit_writer_quantization_table (quant_tables, size):
        #python wrapper for 'gst_jpeg_bit_writer_quantization_table'

Generating the according JPEG bit stream by providing the quantization tables.

Parameters:

`quant_tables` (GstCodecParsers.JpegQuantTables) –

the quantization tables of GstCodecParsers.JpegQuantTables to write

`size` (int) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (int ) –

a GstCodecParsers.JpegBitWriterResult

`size` (int ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### gst_jpeg_bit_writer_restart_interval

    GstJpegBitWriterResult
    gst_jpeg_bit_writer_restart_interval (guint16 interval,
                                          guint8 * data,
                                          guint * size)

Generating the according JPEG bit stream by providing the interval value.

Parameters:

`interval` –

the interval value for restart

`data` ( [out]) –

the bit stream generated by the interval value

`size` ( [inout]) –

the size in bytes of the input and output

Returns –

a GstJpegBitWriterResult

Since : 1.26

### GstCodecParsers.prototype.jpeg_bit_writer_restart_interval

    function GstCodecParsers.prototype.jpeg_bit_writer_restart_interval(interval: Number, size: Number): {
        // javascript wrapper for 'gst_jpeg_bit_writer_restart_interval'
    }

Generating the according JPEG bit stream by providing the interval value.

Parameters:

`interval` (Number) –

the interval value for restart

`size` (Number) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (Number ) –

a GstCodecParsers.JpegBitWriterResult

`size` (Number ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### GstCodecParsers.jpeg_bit_writer_restart_interval

    def GstCodecParsers.jpeg_bit_writer_restart_interval (interval, size):
        #python wrapper for 'gst_jpeg_bit_writer_restart_interval'

Generating the according JPEG bit stream by providing the interval value.

Parameters:

`interval` (int) –

the interval value for restart

`size` (int) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (int ) –

a GstCodecParsers.JpegBitWriterResult

`size` (int ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### gst_jpeg_bit_writer_scan_header

    GstJpegBitWriterResult
    gst_jpeg_bit_writer_scan_header (const GstJpegScanHdr * scan_hdr,
                                     guint8 * data,
                                     guint * size)

Generating the according JPEG bit stream by providing the scan header.

Parameters:

`scan_hdr` –

the scan header of GstJpegScanHdr to write

`data` ( [out]) –

the bit stream generated by this scan header

`size` ( [inout]) –

the size in bytes of the input and output

Returns –

a GstJpegBitWriterResult

Since : 1.26

### GstCodecParsers.prototype.jpeg_bit_writer_scan_header

    function GstCodecParsers.prototype.jpeg_bit_writer_scan_header(scan_hdr: GstCodecParsers.JpegScanHdr, size: Number): {
        // javascript wrapper for 'gst_jpeg_bit_writer_scan_header'
    }

Generating the according JPEG bit stream by providing the scan header.

Parameters:

`scan_hdr` (GstCodecParsers.JpegScanHdr) –

the scan header of GstCodecParsers.JpegScanHdr to write

`size` (Number) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (Number ) –

a GstCodecParsers.JpegBitWriterResult

`size` (Number ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### GstCodecParsers.jpeg_bit_writer_scan_header

    def GstCodecParsers.jpeg_bit_writer_scan_header (scan_hdr, size):
        #python wrapper for 'gst_jpeg_bit_writer_scan_header'

Generating the according JPEG bit stream by providing the scan header.

Parameters:

`scan_hdr` (GstCodecParsers.JpegScanHdr) –

the scan header of GstCodecParsers.JpegScanHdr to write

`size` (int) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (int ) –

a GstCodecParsers.JpegBitWriterResult

`size` (int ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### gst_jpeg_bit_writer_segment_with_data

    GstJpegBitWriterResult
    gst_jpeg_bit_writer_segment_with_data (GstJpegMarker marker,
                                           guint8 * seg_data,
                                           guint seg_size,
                                           guint8 * data,
                                           guint * size)

Generating the bit stream for a JPEG segment.

Parameters:

`marker` –

the GstJpegMarker id for this segment

`seg_data` ( [in][allow-none]) –

the user provided bit stream data

`seg_size` ( [in]) –

the size of the segment data

`data` ( [out]) –

the generated bit stream of this segment

`size` ( [inout]) –

the size in bytes of the input and output

Returns –

a GstJpegBitWriterResult

Since : 1.26

### GstCodecParsers.prototype.jpeg_bit_writer_segment_with_data

    function GstCodecParsers.prototype.jpeg_bit_writer_segment_with_data(marker: GstCodecParsers.JpegMarker, seg_data: Number, seg_size: Number, size: Number): {
        // javascript wrapper for 'gst_jpeg_bit_writer_segment_with_data'
    }

Generating the bit stream for a JPEG segment.

Parameters:

`marker` (GstCodecParsers.JpegMarker) –

the GstCodecParsers.JpegMarker id for this segment

`seg_data` (Number) –

the user provided bit stream data

`seg_size` (Number) –

the size of the segment data

`size` (Number) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (Number ) –

a GstCodecParsers.JpegBitWriterResult

`size` (Number ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

### GstCodecParsers.jpeg_bit_writer_segment_with_data

    def GstCodecParsers.jpeg_bit_writer_segment_with_data (marker, seg_data, seg_size, size):
        #python wrapper for 'gst_jpeg_bit_writer_segment_with_data'

Generating the bit stream for a JPEG segment.

Parameters:

`marker` (GstCodecParsers.JpegMarker) –

the GstCodecParsers.JpegMarker id for this segment

`seg_data` (int) –

the user provided bit stream data

`seg_size` (int) –

the size of the segment data

`size` (int) –

the size in bytes of the input and output

Returns a tuple made of:

(GstCodecParsers.JpegBitWriterResult ) –

a GstCodecParsers.JpegBitWriterResult

`data` (int ) –

a GstCodecParsers.JpegBitWriterResult

`size` (int ) –

a GstCodecParsers.JpegBitWriterResult

Since : 1.26

## Enumerations

### GstJpegBitWriterResult

The result of writing JPEG data into bit stream.

##### Members

`GST_JPEG_BIT_WRITER_OK` (0) –

The writing succeeded

`GST_JPEG_BIT_WRITER_INVALID_DATA` (1) –

The input data to write is invalid

`GST_JPEG_BIT_WRITER_NO_MORE_SPACE` (2) –

The output does not have enough size

`GST_JPEG_BIT_WRITER_ERROR` (3) –

An general error occurred when writing

Since : 1.24

### GstCodecParsers.JpegBitWriterResult

The result of writing JPEG data into bit stream.

##### Members

`GstCodecParsers.JpegBitWriterResult.OK` (0) –

The writing succeeded

`GstCodecParsers.JpegBitWriterResult.INVALID_DATA` (1) –

The input data to write is invalid

`GstCodecParsers.JpegBitWriterResult.NO_MORE_SPACE` (2) –

The output does not have enough size

`GstCodecParsers.JpegBitWriterResult.ERROR` (3) –

An general error occurred when writing

Since : 1.24

### GstCodecParsers.JpegBitWriterResult

The result of writing JPEG data into bit stream.

##### Members

`GstCodecParsers.JpegBitWriterResult.OK` (0) –

The writing succeeded

`GstCodecParsers.JpegBitWriterResult.INVALID_DATA` (1) –

The input data to write is invalid

`GstCodecParsers.JpegBitWriterResult.NO_MORE_SPACE` (2) –

The output does not have enough size

`GstCodecParsers.JpegBitWriterResult.ERROR` (3) –

An general error occurred when writing

Since : 1.24

The results of the search are